import { ChartArea, ChartGroup, ChartLegend, ChartVoronoiContainer } from '@redallen-patternfly/react-charts';
import CustomColorsChart from './examples/CustomColorsChart';
import SimpleChart from './examples/SimpleChart';
import DarkGreenThemeChart from './examples/DarkGreenThemeChart';
import getContainerProps from './examples/common/getContainerProps';

export default {
  title: 'Area Chart',
  components: {
    ChartArea: ChartArea,
    ChartGroup: ChartGroup,
    ChartLegend: ChartLegend,
    ChartVoronoiContainer: ChartVoronoiContainer
  },
  examples: [{ component: SimpleChart, title: 'Simple Chart', getContainerProps: getContainerProps }, { component: CustomColorsChart, title: 'Custom Colors Chart', getContainerProps: getContainerProps }, { component: DarkGreenThemeChart, title: 'Dark, Green Theme Chart', getContainerProps: getContainerProps }]
};