var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import { ChartArea, ChartGroup, ChartLegend, ChartVoronoiContainer } from '@redallen-patternfly/react-charts';

var CustomColorsChart = function (_React$Component) {
  _inherits(CustomColorsChart, _React$Component);

  function CustomColorsChart() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, CustomColorsChart);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = CustomColorsChart.__proto__ || Object.getPrototypeOf(CustomColorsChart)).call.apply(_ref, [this].concat(args))), _this), _this.containerRef = React.createRef(), _this.state = {
      width: 0
    }, _this.getTooltipLabel = function (datum) {
      return datum.name + ': ' + datum.y;
    }, _this.handleResize = function () {
      _this.setState({ width: _this.containerRef.current.clientWidth });
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(CustomColorsChart, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var _this2 = this;

      setTimeout(function () {
        _this2.setState({ width: _this2.containerRef.current.clientWidth });
        window.addEventListener('resize', _this2.handleResize);
      });
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      window.removeEventListener('resize', this.handleResize);
    }
  }, {
    key: 'render',
    value: function render() {
      var width = this.state.width;

      var container = React.createElement(ChartVoronoiContainer, { labels: this.getTooltipLabel });
      var cats = {
        data: {
          fill: '#486b00', // global_success_color_200.value,
          // fill: global_success_color_200.value,
          stroke: '#92d400' // global_success_color_100.value
        }
      };
      var dogs = {
        data: {
          fill: '#007bba', // global_primary_color_100.value,
          stroke: '#00659c' // global_primary_color_200.value
        }
      };

      return React.createElement(
        'div',
        { ref: this.containerRef },
        React.createElement(
          'div',
          { className: 'chart-overflow' },
          React.createElement(
            ChartGroup,
            {
              containerComponent: container,
              height: 100,
              width: width
            },
            React.createElement(ChartArea, {
              data: [{ name: 'Cats', x: 1, y: 1 }, { name: 'Cats', x: 2, y: 2 }, { name: 'Cats', x: 3, y: 3.2 }, { name: 'Cats', x: 4, y: 3.5 }],
              style: cats
            }),
            React.createElement(ChartArea, {
              data: [{ name: 'Dogs', x: 1, y: .5 }, { name: 'Dogs', x: 2, y: 1 }, { name: 'Dogs', x: 3, y: 2 }, { name: 'Dogs', x: 4, y: 2.5 }, { name: 'Dogs', x: 5, y: 2.5 }],
              style: dogs
            })
          )
        ),
        React.createElement(ChartLegend, {
          colorScale: [cats.data.fill, dogs.data.fill],
          data: [{ name: 'Cats' }, { name: 'Dogs' }],
          title: 'Average number of pets',
          height: 50,
          width: width
        })
      );
    }
  }]);

  return CustomColorsChart;
}(React.Component);

export default CustomColorsChart;