var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import PropTypes from 'prop-types';
import hoistNonReactStatics from 'hoist-non-react-statics';
import { VictoryLegend } from 'victory';
import { default as ChartTheme } from '../ChartTheme/ChartTheme';
import ChartContainer from '../ChartContainer/ChartContainer';

export var propTypes = {
  /**
   * See TypeScript API docs: https://formidable.com/open-source/victory/docs/victory-legend/
   */
  '': PropTypes.any
};

// Note: VictoryLegend.role must be hoisted
var container = React.createElement(ChartContainer, { responsive: false });
var ChartLegend = function ChartLegend(props) {
  return React.createElement(VictoryLegend, _extends({ containerComponent: container, theme: ChartTheme.default }, props));
};
hoistNonReactStatics(ChartLegend, VictoryLegend);
ChartLegend.propTypes = propTypes;

export default ChartLegend;