var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import PropTypes from 'prop-types';
import hoistNonReactStatics from 'hoist-non-react-statics';
import { VictoryPie } from 'victory';
import { default as ChartTheme } from '../ChartTheme/ChartTheme';
import ChartTooltip from '../ChartTooltip/ChartTooltip';

export var propTypes = {
  /**
   * See TypeScript API docs: https://formidable.com/open-source/victory/docs/victory-pie/
   */
  '': PropTypes.any
};

// Note: VictoryPie.role must be hoisted
var ChartPie = function ChartPie(props) {
  return React.createElement(VictoryPie, _extends({ labelComponent: React.createElement(ChartTooltip, null), theme: ChartTheme.default }, props));
};
hoistNonReactStatics(ChartPie, VictoryPie);
ChartPie.propTypes = propTypes;

export default ChartPie;