var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import hoistNonReactStatics from 'hoist-non-react-statics';
import { VictoryStack } from 'victory';
import { default as ChartTheme } from '../ChartTheme/ChartTheme';

export var propTypes = {
  /**
   * See TypeScript API docs: https://formidable.com/open-source/victory/docs/victory-stack/
   */
  '': PropTypes.any
};

// Note: VictoryStack.getChildren & VictoryStack.role must be hoisted
var ChartStack = function ChartStack(_ref) {
  var children = _ref.children,
      props = _objectWithoutProperties(_ref, ['children']);

  return React.createElement(
    VictoryStack,
    _extends({ theme: ChartTheme.default }, props),
    children
  );
};
hoistNonReactStatics(ChartStack, VictoryStack);
ChartStack.propTypes = propTypes;

export default ChartStack;