var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

/* eslint-disable camelcase */
import { global_active_color_200, global_active_color_300, global_Color_dark_100, global_Color_dark_200, global_Color_light_100 } from '@redallen-patternfly/react-tokens';
import Theme from './theme-common';

// Colors
var COLOR_AXIS_FILL = 'transparent';
var COLOR_AXIS_STROKE = global_Color_dark_200.value;
var COLOR_FILL = global_active_color_200.value;
var COLOR_SCALE = ['#39a5dc', '#9C92F5', '#59C768', '#FFD47D'];
var COLOR_STACK_STROKE = global_Color_light_100.value;
var COLOR_STROKE = global_active_color_300.value;
var COLOR_TOOLTIP_FILL = global_Color_light_100.value;
var COLOR_TOOLTIP_STROKE = global_Color_dark_100.value;
var COLOR_TOOLTIP_FLYOUT_FILL = global_Color_light_100.value;
var COLOR_TOOLTIP_FLYOUT_STROKE = global_Color_dark_100.value;

// Typography
var TOPOGRAPHY_FONT_FAMILY = "'Gill Sans', 'Gill Sans MT', 'Ser­avek', 'Trebuchet MS', sans-serif";
var TOPOGRAPHY_LETTER_SPACING = 'normal';
var TOPOGRAPHY_FONT_SIZE = 14; // Value must be in pixles

// Layout
var LAYOUT_PROPS = {
  width: 451, // Todo: want to ensure the value is coming from theme
  height: 301,
  padding: 8,
  colorScale: COLOR_SCALE
};

// Labels
var LABEL_PROPS = {
  fontFamily: TOPOGRAPHY_FONT_FAMILY,
  fontSize: TOPOGRAPHY_FONT_SIZE,
  letterSpacing: TOPOGRAPHY_LETTER_SPACING,
  padding: 10,
  fill: global_Color_dark_100.value,
  stroke: 'transparent'
};
var LABEL_CENTERED_PROPS = _extends({ textAnchor: 'middle' }, LABEL_PROPS);

// Strokes
var STROKE_LINE_CAP = 'round';
var STROKE_LINE_JOIN = 'round';

export default Theme({
  COLOR_AXIS_FILL: COLOR_AXIS_FILL,
  COLOR_AXIS_STROKE: COLOR_AXIS_STROKE,
  COLOR_FILL: COLOR_FILL,
  COLOR_SCALE: COLOR_SCALE,
  COLOR_STACK_STROKE: COLOR_STACK_STROKE,
  COLOR_STROKE: COLOR_STROKE,
  COLOR_TOOLTIP_FILL: COLOR_TOOLTIP_FILL,
  COLOR_TOOLTIP_STROKE: COLOR_TOOLTIP_STROKE,
  COLOR_TOOLTIP_FLYOUT_FILL: COLOR_TOOLTIP_FLYOUT_FILL,
  COLOR_TOOLTIP_FLYOUT_STROKE: COLOR_TOOLTIP_FLYOUT_STROKE,
  LAYOUT_PROPS: LAYOUT_PROPS,
  LABEL_PROPS: LABEL_PROPS,
  LABEL_CENTERED_PROPS: LABEL_CENTERED_PROPS,
  STROKE_LINE_CAP: STROKE_LINE_CAP,
  STROKE_LINE_JOIN: STROKE_LINE_JOIN,
  TOPOGRAPHY_FONT_FAMILY: TOPOGRAPHY_FONT_FAMILY,
  TOPOGRAPHY_LETTER_SPACING: TOPOGRAPHY_LETTER_SPACING,
  TOPOGRAPHY_FONT_SIZE: TOPOGRAPHY_FONT_SIZE
});