var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import { ChartDonut, ChartLabel, ChartLegend, ChartTheme } from '@redallen-patternfly/react-charts';
import { Grid, GridItem, Text, TextVariants } from '@redallen-patternfly/react-core';

var SimpleChart = function (_React$Component) {
  _inherits(SimpleChart, _React$Component);

  function SimpleChart() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, SimpleChart);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = SimpleChart.__proto__ || Object.getPrototypeOf(SimpleChart)).call.apply(_ref, [this].concat(args))), _this), _this.getChart = function (theme) {
      return React.createElement(ChartDonut, {
        data: [{ x: 'Cats', y: 35 }, { x: 'Dogs', y: 55 }, { x: 'Birds', y: 10 }],
        labels: _this.getTooltipLabel,
        theme: theme,
        height: 200,
        width: 200
      });
    }, _this.getLegend = function (theme, horizontal) {
      return React.createElement(ChartLegend, {
        data: [{ name: 'Cats' }, { name: 'Dogs' }, { name: 'Birds' }],
        orientation: horizontal ? 'horizontal' : 'vertical',
        theme: theme,
        y: horizontal ? 0 : 55,
        height: horizontal ? 35 : 200,
        width: 200
      });
    }, _this.getTooltipLabel = function (datum) {
      return datum.x + ': ' + datum.y;
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(SimpleChart, [{
    key: 'render',
    value: function render() {
      var label = React.createElement(
        'svg',
        {
          className: 'chart-label',
          height: this.size,
          width: this.size
        },
        React.createElement(ChartLabel, {
          style: { fontSize: 20 },
          text: '100',
          textAnchor: 'middle',
          verticalAnchor: 'middle',
          x: 100,
          y: 90
        }),
        React.createElement(ChartLabel, {
          style: { fill: '#bbb' },
          text: 'Pets',
          textAnchor: 'middle',
          verticalAnchor: 'middle',
          x: 100,
          y: 110
        })
      );

      return React.createElement(
        Grid,
        { gutter: 'md' },
        React.createElement(
          GridItem,
          { lg: 6 },
          React.createElement(
            Text,
            { className: 'chart-title', component: TextVariants.h2 },
            'Blue Theme'
          ),
          React.createElement(
            'div',
            { className: 'chart-inline' },
            React.createElement(
              'div',
              { className: 'chart-container' },
              label,
              this.getChart(ChartTheme.light.blue)
            ),
            this.getLegend(ChartTheme.light.blue, false)
          )
        ),
        React.createElement(
          GridItem,
          { lg: 3 },
          React.createElement(
            Text,
            { className: 'chart-title', component: TextVariants.h2 },
            'Multi Color Theme'
          ),
          React.createElement(
            'div',
            { className: 'chart-container' },
            label,
            this.getChart(ChartTheme.light.multi)
          ),
          this.getLegend(ChartTheme.light.multi, true)
        )
      );
    }
  }]);

  return SimpleChart;
}(React.Component);

export default SimpleChart;